##parameters=
# $Id: id_rename.py 486 2006-09-06 10:09:39Z joachim $
"""
Rename objects which ids are passed in the request.

Used within the folder_contents template.
"""

REQUEST = context.REQUEST

if context.portal_type in ('CoursesFolder',):
    return REQUEST.RESPONSE.redirect(context.absolute_url() + \
                                ('/academics_contents?portal_status_message=%s' \
                                % ('Courses cannot be renamed',)))
    
new_ids = REQUEST['new_ids']
new_ids = [id.upper() for id in REQUEST['new_ids']]

context.manage_renameObjects(REQUEST['ids'], new_ids, REQUEST) 

return REQUEST.RESPONSE.redirect(context.absolute_url() + \
                                ('/academics_contents?portal_status_message=%s' \
                                % ('psm_item(s)_renamed',)))
